'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = withRecordType;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function withRecordType(BaseComponent) {
  function WithRecordType(props, context) {
    const recordType = context.recordType;


    return _react2.default.createElement(BaseComponent, _extends({}, props, {
      recordType: recordType
    }));
  }

  WithRecordType.contextTypes = {
    recordType: _propTypes2.default.string
  };

  return WithRecordType;
}