"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require("react-intl");

const template = configContext => {
  const React = configContext.lib.React;
  const Field = configContext.recordComponents.Field;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(Field, {
      name: "relation-list-item",
      subpath: "rel:relations-common-list",
      showChildren: false,
      showSiblings: false
    }),
    React.createElement(Field, {
      name: "termFullCitation",
      subpath: ['ns2:citations_common', 'citationTermGroupList', 'citationTermGroup', 0]
    }),
    React.createElement(Field, {
      name: "termTitle",
      subpath: ['ns2:citations_common', 'citationTermGroupList', 'citationTermGroup', 0]
    })
  );
};

exports.default = configContext => ({
  disabled: true,
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.citation.mini.name",
      "defaultMessage": "Mini Template"
    }
  }),
  template: template(configContext)
});