"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require("react-intl");

const template = configContext => {
  const React = configContext.lib.React;
  var _configContext$layout = configContext.layoutComponents;
  const Col = _configContext$layout.Col,
        Cols = _configContext$layout.Cols,
        Panel = _configContext$layout.Panel,
        Row = _configContext$layout.Row;
  const Field = configContext.recordComponents.Field;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "info", collapsible: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "exhibitionNumber" }),
          React.createElement(Field, { name: "type" }),
          React.createElement(Field, { name: "title" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "sponsors" },
            React.createElement(Field, { name: "sponsor" })
          ),
          React.createElement(
            Field,
            { name: "organizers" },
            React.createElement(Field, { name: "organizer" })
          )
        )
      ),
      React.createElement(
        Row,
        null,
        React.createElement(
          Field,
          { name: "venueGroupList" },
          React.createElement(
            Field,
            { name: "venueGroup" },
            React.createElement(Field, { name: "venue" }),
            React.createElement(Field, { name: "venueOpeningDate" }),
            React.createElement(Field, { name: "venueClosingDate" }),
            React.createElement(Field, { name: "venueAttendance" }),
            React.createElement(Field, { name: "venueUrl" })
          )
        )
      ),
      React.createElement(
        Field,
        { name: "workingGroupList" },
        React.createElement(
          Field,
          { name: "workingGroup" },
          React.createElement(
            Panel,
            null,
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "workingGroupTitle" }),
              React.createElement(Field, { name: "workingGroupNote" })
            ),
            React.createElement(
              Row,
              null,
              React.createElement(
                Field,
                { name: "exhibitionPersonGroupList" },
                React.createElement(
                  Field,
                  { name: "exhibitionPersonGroup" },
                  React.createElement(Field, { name: "exhibitionPerson" }),
                  React.createElement(Field, { name: "exhibitionPersonRole" })
                )
              )
            )
          )
        )
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "planningNote" }),
          React.createElement(Field, { name: "curatorialNote" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "generalNote" }),
          React.createElement(Field, { name: "boilerplateText" })
        )
      ),
      React.createElement(
        Field,
        { name: "galleryRotationGroupList" },
        React.createElement(
          Field,
          { name: "galleryRotationGroup" },
          React.createElement(Field, { name: "galleryRotationName" }),
          React.createElement(Field, { name: "galleryRotationStartDateGroup" }),
          React.createElement(Field, { name: "galleryRotationEndDateGroup" }),
          React.createElement(Field, { name: "galleryRotationNote" })
        )
      ),
      React.createElement(
        Field,
        { name: "exhibitionReferenceGroupList" },
        React.createElement(
          Field,
          { name: "exhibitionReferenceGroup" },
          React.createElement(Field, { name: "exhibitionReference" }),
          React.createElement(Field, { name: "exhibitionReferenceType" }),
          React.createElement(Field, { name: "exhibitionReferenceNote" })
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "planningInfo", collapsible: true, collapsed: true },
      React.createElement(
        Field,
        { name: "exhibitionSectionGroupList" },
        React.createElement(
          Field,
          { name: "exhibitionSectionGroup" },
          React.createElement(Field, { name: "exhibitionSectionName" }),
          React.createElement(Field, { name: "exhibitionSectionLocation" }),
          React.createElement(Field, { name: "exhibitionSectionObjects" }),
          React.createElement(Field, { name: "exhibitionSectionNote" })
        )
      ),
      React.createElement(
        Field,
        { name: "exhibitionStatusGroupList" },
        React.createElement(
          Field,
          { name: "exhibitionStatusGroup" },
          React.createElement(Field, { name: "exhibitionStatus" }),
          React.createElement(Field, { name: "exhibitionStatusDate" }),
          React.createElement(Field, { name: "exhibitionStatusNote" })
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "exhibitedObjectInformation", collapsible: true, collapsed: true },
      React.createElement(
        Field,
        { name: "exhibitionObjectGroupList" },
        React.createElement(
          Field,
          { name: "exhibitionObjectGroup" },
          React.createElement(Field, { name: "exhibitionObjectNumber" }),
          React.createElement(Field, { name: "exhibitionObjectName" }),
          React.createElement(Field, { name: "exhibitionObjectConsCheckDate" }),
          React.createElement(Field, { name: "exhibitionObjectConsTreatment" }),
          React.createElement(Field, { name: "exhibitionObjectMount" }),
          React.createElement(Field, { name: "exhibitionObjectSection" }),
          React.createElement(Field, { name: "exhibitionObjectCase" }),
          React.createElement(Field, { name: "exhibitionObjectSeqNum" }),
          React.createElement(Field, { name: "exhibitionObjectRotation" }),
          React.createElement(Field, { name: "exhibitionObjectNote" })
        )
      )
    )
  );
};

exports.default = configContext => ({
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.exhibition.default.name",
      "defaultMessage": "Standard Template"
    }
  }),
  template: template(configContext)
});