'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$format = configContext.formatHelpers;
  const formatRefName = _configContext$format.formatRefName,
        formatTimestamp = _configContext$format.formatTimestamp;


  return {
    default: {
      exitNumber: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.objectexit.default.exitNumber',
            'defaultMessage': 'Exit number'
          }
        }),
        order: 10,
        sortBy: 'objectexit_common:exitNumber',
        width: 200
      },
      currentOwner: {
        formatValue: formatRefName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.objectexit.default.currentOwner',
            'defaultMessage': 'Current owner'
          }
        }),
        order: 20,
        sortBy: 'objectexit_common:currentOwner',
        width: 450
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.objectexit.default.updatedAt',
            'defaultMessage': 'Updated'
          }
        }),
        order: 30,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};