'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => {
  var _configContext$search = configContext.searchOperators;
  const OP_EQ = _configContext$search.OP_EQ,
        OP_CONTAIN = _configContext$search.OP_CONTAIN,
        OP_RANGE = _configContext$search.OP_RANGE;
  var _configContext$config = configContext.config;
  const defaultAdvancedSearchBooleanOp = _configContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _configContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:organizations_common/orgTermGroupList/orgTermGroup/termDisplayName'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:organizations_common/orgTermGroupList/orgTermGroup/termName'
    }, {
      op: OP_EQ,
      path: 'ns2:organizations_common/orgTermGroupList/orgTermGroup/termStatus'
    }, {
      op: OP_EQ,
      path: 'ns2:organizations_common/orgTermGroupList/orgTermGroup/termFlag'
    }, {
      op: OP_EQ,
      path: 'ns2:organizations_common/orgTermGroupList/orgTermGroup/termLanguage'
    }, {
      op: OP_EQ,
      path: 'ns2:organizations_common/organizationRecordTypes/organizationRecordType'
    }, {
      op: OP_RANGE,
      path: 'ns2:organizations_common/foundingDateGroup'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:organizations_common/foundingPlace'
    }, {
      op: OP_RANGE,
      path: 'ns2:organizations_common/dissolutionDateGroup'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:organizations_common/groups/group'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:organizations_common/functions/function'
    }, ...extensions.core.advancedSearch]
  };
};