'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$format = configContext.formatHelpers;
  const formatRefName = _configContext$format.formatRefName,
        formatTimestamp = _configContext$format.formatTimestamp;


  return {
    default: {
      referenceNumber: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.uoc.default.referenceNumber',
            'defaultMessage': 'Reference number'
          }
        }),
        order: 10,
        sortBy: 'uoc_common:referenceNumber',
        width: 200
      },
      title: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.uoc.default.title',
            'defaultMessage': 'Title'
          }
        }),
        order: 20,
        sortBy: 'uoc_common:title',
        width: 300
      },
      authorizedBy: {
        formatValue: formatRefName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.uoc.default.authorizedBy',
            'defaultMessage': 'Authorized by'
          }
        }),
        order: 30,
        sortBy: 'uoc_common:authorizedBy',
        width: 300
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.exhibition.default.updatedAt',
            'defaultMessage': 'Updated'
          }
        }),
        order: 30,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};